extends ../../includes/layout

block content

    .d-flex.align-items-center.mb-4
        h4.fs-20.font-w600.mb-0.me-auto
    .row
        .col-xl-12
            .card
                .card-header
                    h4.card-title #{nav}
                .card-body
                    .row
                        .col-sm-12
                            table#pickle.table.table-hover.table-striped
                                thead
                                    tr
                                        th #
                                        th Name
                                        th Username
                                        th Role
                                        th Room 
                                        th Lot 
                                        th Product
                                        th Status
                                        th Action
                                tbody
                            
                            span.badge.bg-primary Primary
                            span.badge.bg-secondary Secondary
                            span.badge.bg-success Success
                            span.badge.bg-danger Danger
                            span.badge.bg-warning.text-dark Warning
                            span.badge.bg-info.text-dark Info
                            span.badge.bg-light.text-dark Light
                            span.badge.bg-dark Dark
                                                
block script
    script.

        load_data();

        function load_data(){
            $.ajax({
                url: "#{base_url}admin/member",
                method: "POST",
                dataType: "json",
                data :{
                    user_id:user_id
                },
                success: function (res, status, xhr) {
                    //- if (xhr.status == 200) {
                    //-     $.each(data.data,function(index,value){
                    //-         if(value.bids.length > 0){
                    //-             $(".h1display[data-room='" + value._id +"']").text(value.bids[0].bid)
                    //-         }else{
                    //-             $(".h1display[data-room='" + value._id +"']").text(value.startPrice)
                    //-         }
                            
                    //-     })
                    //- }
                    console.log(res)
                    if(status=='success' && xhr.status==200 && res.result){
                        $(res.data.user).each(function(key,val){

                            if(val.active == 'approve'){
                               var bgStatus ='badge light badge-success' 
                            }else if(val.active == 'close'){ 
                                var bgStatus ='badge light badge-primary'
                            }else{
                                var bgStatus ='badge light badge-warning'
                            }

                            var edit = '<button class="btn btn-warning shadow btn-xs sharp me-1 btn-edit" data-id="'+val._id+'"><li class="flaticon-063-pencil"></li></button>';

                            var del = '<button class="btn btn-danger shadow btn-xs sharp btn-del" data-id="'+val._id+'"><i class="fa fa-trash"></li></button>';
                            
                            var active = '<td><span class="'+bgStatus+'">'+val.active+'</span></td>';

                            $('#pickle tbody').append('<tr><td>'+(key+1)+'</td><td>'+fuper(val.name)+'</td><td>'+val.username+'</td><td>'+val.role+'</td><td>'+isde(val.users_room)+'</td><td>'+isde(val.users_lot)+'</td><td>'+isde(val.users_product)+'</td>'+active+'<td>'+edit+del+'</td></tr>')
                        });
                            
                    }else{
                        sweetAlert("Oops...", res.message, "error");
                    }
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    console.log(xhr.status);
                    console.log(thrownError);
                },
            });
        }

        $('#pickle').on('click','.btn-edit',function(){
            var id = $(this).attr('data-id')
            console.log(id)
            window.location.replace("#{base_url}admin/member/edit/"+id);
        })

        $('#pickle').on('click','.btn-del',function(){
            const obj = $(this)
            swal({
                title: "Are you sure?",
                text: "Delete product ? ",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#DD6B55',
                confirmButtonText: 'Yes, I am sure!',
                cancelButtonText: "No, cancel it!"
            }).then(function(result) {
                console.log(result)
                if(result.value){
                    delete_item(obj)
                }
            })
        })

        function delete_item(obj){
            $.ajax({
                url: "#{base_url}admin/member/delete",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:{
                    id:obj.attr('data-id')
                },
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        swal("Success", data.message, "success");
                        console.log(obj.parent().parent())
                        obj.parent().parent().remove()
                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }
                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                },
            });
        }

        function isde(val){
            if (val.length == 0){
                return '-'
            }
            return val[0].name
        }




